Sebastian Nuck edited this page Jul 16, 2015 · 6 revisions

General information

amsl is an OntoWiki-based ERM tool that provides support for many ERM-related workflows. For general installation issues see the official wiki.

Requirements

To run amsl you need to make sure you have the following software installed:

  • Operating system
    • Linux
    • OSX
    • Windows (OntoWiki, the system amsl is based on, runs on Windows, however it has not been tested with the amsl-specific changes thus far)
  • HTTP Server
    • Apache HTTP Server
    • Nginx
  • PHP

The following software requirements will be explained in detail in the course of this wiki:

  • PHP/ODBC configuration
  • Database: Virtuoso Triple Store (>= 7.2.0.1)

To continue click on one of the Pages linked on the right side.

Docker Installation

If you don't want to install amsl on your local machine permanently it might be a good idea to use the provided docker version. More information here:

https://github.com/amsl-project/ontowiki.docker/tree/master/ubuntu-nginx

Hardware recommendations

This is what we use in our productive environment:

  • Intel(R) Xeon(R) CPU E5-2650 @ 4x2.00GHz
  • 16 GB RAM
  • 200 GB HDD
  • Linux version 2.6.32 x64 (CentOS release 6.5 (Final))
Clone this wiki locally
You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.
Press h to open a hovercard with more details.